#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	Vulkan-Loader
Version		:	1.3.302
Release		:	17.2.0.rel%{?dist}
Summary		:	Vulkan ICD desktop loader

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	https://github.com/KhronosGroup/Vulkan-Loader
Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires		:	Vulkan-Headers	=  %{version}

BuildRequires		:	cmake
BuildRequires		:	gcc
BuildRequires		:	gcc-c++
BuildRequires		:	ninja
BuildRequires		:	xorg-libXrandr

Provides		:	multiversion(%{name})
#-----------------------------------------------------------------------------
%description
This project provides the Khronos official Vulkan ICD desktop 
loader for Windows, Linux, and MacOS.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/libvulkan.so.1*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name}		= %{version}
Requires	:       Vulkan-Headers	= %{version}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that use %{name}.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_libdir}/libvulkan.so
%{_libdir}/cmake/VulkanLoader/VulkanLoaderConfig*.cmake
%{_libdir}/pkgconfig/vulkan.pc
 
#=============================================================================
%prep
%setup -q
#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-G Ninja					\
	-S .						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}	\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}		\
	-D CMAKE_INSTALL_DATADIR=%{_datadir}		\
	-D CMAKE_BUILD_TYPE=Release			\
	-D CMAKE_SKIP_RPATH=true			\
	-D BUILD_TESTS=OFF				\

cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install _bld					\


#-----------------------------------------------------------------------------
%changelog
